TemplateUserHasLeftVRE (email-templates-library 1.1.0-4.9.0-160148 API)
Date: 2017-12-20

org.gcube.portal.mailing.templates

## Class TemplateUserHasLeftVRE

- java.lang.Object
- - org.gcube.common.portal.mailing.templates.AbstractTemplate
  - - org.gcube.portal.mailing.templates.TemplateUserHasLeftVRE

- All Implemented Interfaces:
    org.gcube.common.portal.mailing.templates.Template

      public class TemplateUserHasLeftVRE
      extends org.gcube.common.portal.mailing.templates.AbstractTemplate
      implements org.gcube.common.portal.mailing.templates.Template

  Author:
    Massimiliano Assante, CNR-ISTI

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateUserHasLeftVRE(org.gcube.vomanagement.usermanagement.model.GCubeUser theUserWhoLeft, String theVREName, String gatewayName, String gatewayURL)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `compile(String templateContent)`
    `String` | `getTextHTML()`
    `String` | `getTextPLAIN()`

    - ### Methods inherited from class org.gcube.common.portal.mailing.templates.AbstractTemplate

      `getGatewayLogoURL, getGatewayName, getGatewayURL, getGroupManagerImpl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateUserHasLeftVRE

          public TemplateUserHasLeftVRE(org.gcube.vomanagement.usermanagement.model.GCubeUser theUserWhoLeft,
                                        String theVREName,
                                        String gatewayName,
                                        String gatewayURL)

      Parameters:
        `theUserWhoLeft` -
        `theVRE` -
        `optionalMessage` -
        `gatewayName` -
        `gatewayURL` -

  - ### Method Detail

    - #### compile

          public String compile(String templateContent)

      Specified by:
        `compile` in interface `org.gcube.common.portal.mailing.templates.Template`

    - #### getTextHTML

          public String getTextHTML()

      Specified by:
        `getTextHTML` in interface `org.gcube.common.portal.mailing.templates.Template`

    - #### getTextPLAIN

          public String getTextPLAIN()

      Specified by:
        `getTextPLAIN` in interface `org.gcube.common.portal.mailing.templates.Template`

Copyright © 2017. All Rights Reserved.